/*
 * Annuity.java
 *
 * Created on October 15, 2006, 10:07 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package monthlyitems;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

/**
 *
 * @author Brandan
 */
public class Annuity implements MonthlyCommand {
    
    /** Creates a new instance of Annuity */
    public Annuity() {
    }
    
    public void execute(File file) throws Exception
    {
        try {
            // scanner helps us read data from the file.
            Scanner scanner = new Scanner(file);
            // save the first name, last name, and annuity payment.
            String firstName = scanner.next();
            String lastName = scanner.next();
            int annuityPayment = scanner.nextInt();

            // simulate an annuity payment.  
            // In real life, this may invoke a web service that will print and mail a check, for instance.
            System.out.println("Sending annuity payment to " + firstName + " " + lastName + " in the amount of: $" + annuityPayment);
        } catch (FileNotFoundException e) {
            // this probably would have been thrown earlier.  Just rethrow here.
            System.out.println("File not found: " + file.getName());
            throw e;
        }
    }
    
}
