/*
 * LifeInsurance.java
 *
 * Created on October 15, 2006, 10:06 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package monthlyitems;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

/**
 *
 * @author Brandan
 */
public class LifeInsurance implements MonthlyCommand {
    
    /** Creates a new instance of LifeInsurance */
    public LifeInsurance() {
    }
    
    public void execute(File file) throws Exception  {
        try {
            // scanner and assignments to read and store values from the text files.
            Scanner scanner = new Scanner(file);
            String firstName = scanner.next();
            String lastName = scanner.next();
            int invoiceAmount = scanner.nextInt();
            String insuranceType = scanner.next();

            // simulate a life insurance bill.
            // In real life, this would probably invoke a call to a print service to print a bill,
            // or send a bill via electronic representation.
            // It may also make accounting entries.
            System.out.println("Sending " + insuranceType + " Life Insurance bill to  " + firstName + " " + lastName + " in the amount of: $" + invoiceAmount);
        } catch (FileNotFoundException e) {
            // this probably would have been thrown earlier.  Just rethrow here.
            System.out.println("File not found: " + file.getName());
            throw e;
        }
        
    }
    
}
